# $Revision: 1.29 $, $Date: 2011/10/11 08:22:12 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Want
Summary:	Want - a generalisation of "wantarray"
Summary(pl.UTF-8):	Want - uogólnienie funkcji wantarray()
Name:		perl-Want
Version:	0.18
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RO/ROBIN/%{pdir}-%{version}.tar.gz
# Source0-md5:	b83e2d189781b10250133b4eb9e6ca28
URL:		http://search.cpan.org/dist/Want/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(v5.6)'

%description
This module generalises the mechanism of the wantarray function, allowing
a function to determine in some detail how its return value is going to
be immediately used.

%description -l pl.UTF-8
Ten moduł generalizuje mechanizm funkcji wantarray, pozwalając funkcjom
na określenie niektórych szczegółów tego, w jaki sposób używane będą
zwracane przez nie wartości.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/auto/Want
%{perl_vendorarch}/auto/Want/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Want/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Want.spec,v $
Revision 1.29  2011/10/11 08:22:12  lisu
- rel 5

Revision 1.28  2010/11/12 23:38:12  pawelz
- release 4

Revision 1.27  2010/06/06 08:44:28  arekm
- release 3

Revision 1.26  2008/07/28 13:20:07  megabajt
- release 2

Revision 1.25  2008/02/11 22:32:21  radek
- version 0.18

Revision 1.24  2008-02-10 12:23:27  arekm
- rel 2

Revision 1.23  2008-01-03 13:11:52  qboosh
- generic URL

Revision 1.22  2007-12-31 00:22:24  zbyniu
- up to 0.16

Revision 1.21  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.20  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.19  2006/10/21 07:47:49  ankry
- ver. 0.12

Revision 1.18  2005/07/27 21:50:08  radek
- version 0.09

Revision 1.17  2004/12/27 16:35:26  adamg
- updated to 0.08

Revision 1.16  2004/12/01 10:13:43  radek
- standarized Source0 URL

Revision 1.15  2004/11/03 22:30:54  paladine
- formatting

Revision 1.14  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/04 13:36:34  ankry
- license fix, cosmetics

Revision 1.12  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.11  2004/04/15 09:35:57  ankry
- cosmetics

Revision 1.10  2003/09/18 13:22:49  adamg
- updated to 0.07

Revision 1.9  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.8  2003/08/18 08:09:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:25:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:41  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 22:09:56  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/24 20:31:59  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:39:11  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/29 12:33:00  radek
- new, STBR
